   Help for Probe

Properties

Registration Information

Order Form

Getting Custom Controls Written

Description

Probe is a custom control that allows access to other controls properties at run-time.  Probe also will display a dialog box for modifying other controls properties at run-time.  This lets you fiddle with properties that are only available at run-time using an easy interface.

Probe can be used as an easy debugging tool.  During beta tests, you can include it with your project.  Given a little instruction, beta testers can modify things in the field (and, hopefully, report back).

Probe can also be used in a final product.  Its very useful as a diagnostic tool.

File Name

PROBE1.VBX

Object Type

Probe

Compatibility

VB 2.0 and above

Remarks

Probe should be placed on all forms where its functionality is required (including MDI forms and children).  Probe can be placed directly on an MDI form.

Usage Note     Probe VBX will retrieve properties for all of the controls on any given form (except Probe, itself).  If you want Probes functionality for controls on more than one form, place a new copy of Probe on each form where you need it.

Usage Note     Probe VBX does not work with Picture properties or array properties.

Distribution Note     When you develop and distribute an application that uses Probe, you should install the file PROBE1.VBX into the users Windows SYSTEM directory.  Probe has version information built into it.  So, during installation, you should ensure that you are not overwriting a newer version of Probe.


Properties

All of the properties that apply to this control are in this table.  Properties that have special meaning for this control or that only apply to this control are marked with an asterisk (*).

*ControlName	*PropertyType

Height	*PropertyValue

Left	Tag

Name	Top

Parent	*Visible

*PropertyCount	Width

*PropertyName

ControlName is the default value for the control.


ControlName Property

See Also	Example

Description

Determines which control to examine.

Usage

[form.][control.]ControlName[ = stringexpression ]

Remarks

This property determines which custom control Probe will examine.  If the name specified is invalid, PropertyCount will be zero (0).

Data Type

String


See Also

Properties:

PropertyCount


PropertyName Property
PropertyCount Property

See Also	Example

Description

Tells how many properties a given control has.

Usage

[form.][control.]PropertyCount

Remarks

This property tells how many properties are in the control specified by ControlName.  If the control doesnt exist, PropertyCount is set to zero (0).

This property is read-only and only available at run-time.

Data Type

Integer


See Also

Properties:

ControlName

PropertyName

PropertyType

PropertyValue


Control Property Access Example

In this example, the program will get the property names and types from a command buton, and display them in a list box.  To try this example, paste the code into the Declarations section of a form that contains a command button, a list box, and a Probe control.  Press F5.  Look at what appears in the list.

Sub Form_Load ()

    Probe1.ControlName = "Command1"

    For I = 0 To Probe1.PropertyCount - 1

        List1.AddItem Probe1.PropertyName(I) & "  (" & Probe1.PropertyType(I) & ")"

    Next I

End Sub


PropertyName Property

See Also	Example

Description

Tells the name of a given property for a control specified by ControlName.

Usage

[form.][control.]PropertyName( index )

Remarks

This property tells the name of a property specified by ControlName and index.  Index must be between 0 and PropertyCount - 1.

This property is read-only and only available at run-time.

Data Type

String


See Also

Properties:

ControlName

PropertyCount

PropertyType

PropertyValue


PropertyType Property

See Also	Example

Description

Tells the data type of a given property for a control specified by ControlName.

Usage

[form.][control.]PropertyType( index )

Remarks

This property tells the data type of a property specified by ControlName and index.  Index must be between 0 and PropertyCount - 1.

This property is read-only and only available at run-time.

Data Type

String


See Also

Properties:

ControlName

PropertyCount

PropertyName

PropertyValue


PropertyValue Property

See Also

Description

Holds the value of a property in a control specified by ControlName.

Usage

[form.][control.]PropertyValue( index )[ = stringexpression ]

Remarks

This property gets the value of the property specified by ControlName and index.  Index must be between 0 and PropertyCount - 1.  Setting this property sets the property in the control specified.

Data Type

String


See Also

Properties:

ControlName

PropertyCount

PropertyName

PropertyType


Visible Property

See Also	Example

Description

Displays a dialog box that allows for interactive setting of properties.

Usage

[form.][control.]Visible[ = boolean ]

Remarks

When this property is set to True, Probe displays a dialog box that allows the user to get and set properties for every control on the form.  Control does not return to the program until the dialog box is closed.

The dialog box displayed looks like this:

This property is only available at run-time.

Data Type

Integer (boolean)


See Also

Properties:

ControlName

PropertyName

PropertyValue


Visible Property Example

In this example, the program will bring up a dialog box and allow you to modify the properties of the controls on the form.  To try this example, paste the code into the Declarations section of a form that contains a command button and a Probe control.  Press F5.  Then, press the command button and play with the dialog box.

Sub Command1_Click ()

    Probe1.Visible = True

End Sub


Registration Information

Credits

Probe was written by James Shields.  Inquiries can be sent to 71231,2066 on CompuServe, or mabry@halcyon.com on Internet.  Our mailing address is:

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Registration

You can register this program by sending $15 ($20 for international orders) and your address.  You can register Probe and its C source code by sending $40 ($45 for international orders).  With your order, you will receive a copy of our manual documenting all of our controls.

For your convenience, an order form has been provided that you can print out directly from this help file.

E-mail Discount

You may take a $5 discount for e-mail delivery of this package (CompuServe or Internet).  If you choose this option, please note: a printed manual is not included.  Be sure to include your full mailing address with your order.  Sometimes (on the Internet) the package cannot be e-mailed.  So, we are forced to send it through the normal mails.

CompuServe members may also take the $5 e-mail discount by registering this package in the software registration forum (GO SWREG).  Probes SWREG ID number is 2449.  The source code version's ID number is 2450.

Credit Card Orders

We accept VISA and Mastercard.  If you e-mail your order to us, please be sure to include your card number, expiration date, complete mailing address, and your phone number (in case we have any questions about your order).

© Copyright 1993-1995 by Mabry Software, Inc.


Order Form
 Probe Order Form

Use the Print Topic.. command from the File menu to print this order form.

Mail this	Mabry Software, Inc.

form to:	Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

Where did you get this copy of Probe?

____________________________________________________________________

Ship to:	____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

____________________________________________________________________

Phone:	_________________________________________________________________

Fax:	_________________________________________________________________

E-Mail:	_________________________________________________________________

MC/VISA:	_________________________________________ exp. ___________________

Disk Size:	(circle one)	 3½	5¼

qty ordered	____	REGISTRATION

$15 each, postpaid (check or money order in hard currency). Outside of North America add $5.00 shipping.

qty ordered	____	SOURCE CODE AND REGISTRATION

$40 each, postpaid (check or money order in hard currency). Outside of North America add $5.00 shipping.


Getting Custom Controls Written

If you or your organization would like to have custom controls written, you can contact me at the following:

James Shields

Mabry Software, Inc.

Post Office Box 31926

Seattle, WA  98103-1926

Phone: 206-634-1443

Fax: 206-632-0272

BBS: WinDev BBS 206-634-0783

CompuServe: 71231,2066

Internet: mabry@halcyon.com

You can also contact Zane Thomas.  He can be reached at:

Zane Thomas

Post Office Box 300

Indianola, WA  98342

CompuServe: 72060,3327